[arch-commits] Commit in ruby/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Sat Jun 6 22:51:57 EDT 2009


    Date: Saturday, June 6, 2009 @ 22:51:57
  Author: allan
Revision: 41717

upgpkg: ruby 1.8.7_p160-1
    update to latest 1.8.7 version, disable docs until package splitting occurs (FS#11638)

Modified:
  ruby/trunk/PKGBUILD

----------+
 PKGBUILD |   28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-07 01:02:01 UTC (rev 41716)
+++ PKGBUILD	2009-06-07 02:51:57 UTC (rev 41717)
@@ -1,28 +1,30 @@
 # $Id$
 # Maintainer: dorphell <dorphell at archlinux.org>
-# Contributors: John Proctor <jproctor at prium.net>
-#               Jeramy Rutley <jrutley at gmail.com>
+# Contributor: John Proctor <jproctor at prium.net>
+# Contributor: Jeramy Rutley <jrutley at gmail.com>
+
 pkgname=ruby
-pkgver=1.8.7_p72
-_pkgver=1.8.7-p72
-pkgrel=3
+pkgver=1.8.7_p160
+_pkgver=1.8.7-p160
+pkgrel=1
 pkgdesc="An object-oriented language for quick and easy programming"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('custom')
 url="http://www.ruby-lang.org/en/"
-depends=('gdbm>=1.8.3' 'db>=4.7.25' 'openssl>=0.9.8j' 'zlib>=1.2.3.3' 'readline>=5.2.013')
+depends=('gdbm>=1.8.3' 'db>=4.7.25' 'openssl>=0.9.8k' 'zlib>=1.2.3.3' 'readline>=5.2.013')
 makedepends=('tk>=8.5')
 source=(ftp://ftp.ruby-lang.org/pub/ruby/stable/${pkgname}-${_pkgver}.tar.bz2) 
-options=('!emptydirs' 'force')
-md5sums=('0b215c46b89b28d7ab8d56d96e72d5b9')
+options=('!emptydirs')
+md5sums=('f8ddb886b8a81cf005f53e9a9541091d')
 
 build() {
   cd "${srcdir}/${pkgname}-${_pkgver}"
   ./configure --prefix=/usr --enable-shared --enable-pthread || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
-  #generate the ri docs
-  make -j1 DESTDIR="${pkgdir}" install-doc || return 1
-  install -d "${pkgdir}/usr/share/licenses/${pkgname}"
-  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+  
+  #generate the ri docs - to be split: FS#11638
+  #make -j1 DESTDIR="${pkgdir}" install-doc || return 1
+  
+  install -Dm644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING" || return 1
 }



More information about the arch-commits mailing list